#pragma once
#include "config_device.h"

/* DO NOT CHANGE THIS FILE                                           */
/* Contains values that SHOULD be defined to have the sketch working */
/* Modify value in config_device.h instead                           */

#ifndef CONFIG_WEB_DELAY_MS
#define CONFIG_WEB_DELAY_MS 100
#endif

#ifndef CONFIG_SAMPLING_PERIODE_MS
#define CONFIG_SAMPLING_PERIODE_MS 60000
#endif

#if defined(CONFIG_ENABLE_BMP180) && !defined(CONFIG_BMP180_SDA)
#error "When enabling BMP180, you should configure SDA pin"
#elif !defined(CONFIG_ENABLE_BMP180)
#define CONFIG_BMP180_SDA 0
#endif

#if defined(CONFIG_ENABLE_BMP180) && !defined(CONFIG_BMP180_SCL)
#error "When enabling BMP180, you should configure SLC pin"
#elif !defined(CONFIG_ENABLE_BMP180)
#define CONFIG_BMP180_SCL 0
#endif

#if defined(CONFIG_ENABLE_DHT) && !defined(CONFIG_DHT_PIN)
#error "When enabling DHT, you should configure SDA pin"
#elif !defined(CONFIG_ENABLE_DHT)
#define CONFIG_DHT_PIN 0
#endif

#ifndef CONFIG_DRY_POWER_PIN
#define CONFIG_DRY_POWER_PIN -1
#endif

#ifndef CONFIG_SSID_NAME
#define CONFIG_SSID_NAME "ESPConfigurator"
#endif

#ifndef CONFIG_WEB_CONTROLLED_GPIO
#define CONFIG_WEB_CONTROLLED_GPIO {}
#endif

#ifndef CONFIG_MQTT_CONTROLLED_GPIO
#define CONFIG_MQTT_CONTROLLED_GPIO {}
#endif

#ifndef CONFIG_EEPROM_SIZE
#define CONFIG_EEPROM_SIZE 256
#endif

#ifndef CONFIG_SETUP_GPIO
#define CONFIG_SETUP_GPIO 3
#endif

#ifndef CONFIG_DHT_TYPE
#define CONFIG_DHT_TYPE DHT11
#endif
