#pragma once

// Enable Serial Console (Disable to save space and power)
#define CONFIG_SKETCH_DEBUG

// Switch Serial console on gpio 13 and 15 (So you can use GPIO 1 and 3 for other things)
//#define CONFIG_ENABLE_EXTRA_GPIO

// Enable the temperatue and pressure Sensor BMP180 
// (CONFIG_BMP180_SDA and CONFIG_BMP180_SDA should be defined as well)
#define CONFIG_ENABLE_BMP180
#define CONFIG_BMP180_SDA 12
#define CONFIG_BMP180_SCL 14

#define CONFIG_ENABLE_DHT
#define CONFIG_DHT_PIN 5

//#define CONFIG_ENABLE_DRY_SENSOR
//If the dry sensor is powered by a GPIO, this GPIO could be defined here
//#define CONFIG_DRY_POWER_PIN 13

// Enable light sleep to save some power (http://bbs.espressif.com/viewtopic.php?f=6&t=133&p=485&hilit=sleep+modem#p485)
#define CONFIG_ENABLE_POWER_SAVE

// Disable mDNS can also save power
#define CONFIG_ENABLE_MDNS

//Web controlled GPIO
#define CONFIG_WEB_CONTROLLED_GPIO {2}


/* DEFAULT VALUE ALSO DEFINED IN CONFIG.H */
//If this GPIO is LOW at boot, device will enter setup mode
//#define CONFIG_SETUP_GPIO 3

// Time to sleep between 2 webserver request (increase it reduce battery usage but increase latency)
//#define CONFIG_WEB_DELAY_MS 100

// Get sensors value every X ms
//#define CONFIG_SAMPLING_PERIODE_MS 60000

// Name of the SSID when in AP mode for configuration
//#define CONFIG_SSID_NAME "ESPConfigurator"

// GPIO that can be set or get by mqtt
// Should have less value than MAXSUBSCRIPTIONS
#define CONFIG_MQTT_CONTROLLED_GPIO {2,13}

// EEPROM SIZE
// Max is 4096, but this amount will be allocated in RAM for reading its content
//#CONFIG_EEPROM_SIZE 256
